## org.plovr.soy.server
Class Config

    java.lang.Object
      org.plovr.soy.server.Config

    public final class Config

extends Object

Constructor Summary
`Config(String templateToRender, int port, File contentDirectory, boolean isStatic, Map<String,?> compileTimeGlobals, boolean isSafeMode, boolean indexPagesAreEnabled, String pluginModuleNames)`

Method Summary
`Map<String,?>` `getCompileTimeGlobals()`
`File` `getContentDirectory()`
`com.google.inject.Injector` `getInjector()`
`int` `getPort()`
`String` `getTemplateToRender()`
`boolean` `indexPagesAreEnabled()`
`boolean` `isSafeMode()`
`boolean` `isStatic()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Config

    public Config(String templateToRender,
                  int port,
                  File contentDirectory,
                  boolean isStatic,
                  Map<String,?> compileTimeGlobals,
                  boolean isSafeMode,
                  boolean indexPagesAreEnabled,
                  String pluginModuleNames)

Method Detail

### getTemplateToRender

    public String getTemplateToRender()

### getPort

    public int getPort()

### getContentDirectory

    public File getContentDirectory()

### isStatic

    public boolean isStatic()

### getCompileTimeGlobals

    public Map<String,?> getCompileTimeGlobals()

### isSafeMode

    public boolean isSafeMode()

### indexPagesAreEnabled

    public boolean indexPagesAreEnabled()

### getInjector

    public com.google.inject.Injector getInjector()